## org.opengis.go.display.canvas.map2d
Interface Map2DState

All Superinterfaces:
  CanvasState

    public interface Map2DState

extends CanvasState

The `Map2DState` explicitly names the properties necessary to define a rectangular, 2D canvas.

See Also:
  `Map2D`

Method Summary
`Envelope` `getEnvelope()` Gets the `Envelope` of the `Canvas` represented by this `Map2DState`.
`double` `getMapWidth(Unit unit)` Gets the map width of the `Canvas` represented by this `Map2DState`, in terms of the given `unit`.
`int` `getPixelHeight()` Gets the pixel height of the `Canvas` represented by this `Map2DState`.
`int` `getPixelWidth()` Gets the pixel width of the `Canvas` represented by this `Map2DState`.
`double` `getScale()` Gets the scale of the `Canvas` represented by this `Map2DState`.

Methods inherited from interface CanvasState
`clone, equals, getCenter, getTitle`

Method Detail

### getPixelWidth

    int getPixelWidth()

  Gets the pixel width of the `Canvas` represented by this `Map2DState`.

  Returns:
    the pixel width

### getPixelHeight

    int getPixelHeight()

  Gets the pixel height of the `Canvas` represented by this `Map2DState`.

  Returns:
    the pixel height

### getMapWidth

    double getMapWidth(Unit unit)

  Gets the map width of the `Canvas` represented by this `Map2DState`, in terms of the given `unit`.

  Parameters:
    `unit` - the `Unit` for the return value
  Returns:
    the width in terms of the given `unit`

### getScale

    double getScale()

  Gets the scale of the `Canvas` represented by this `Map2DState`.

  Returns:
    the scale

### getEnvelope

    Envelope getEnvelope()

  Gets the `Envelope` of the `Canvas` represented by this `Map2DState`.

  Returns:
    the envelope

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.